Bug 499466 - The perl-spreadsheet-parseexcel module reads data incorrectly
The perl-spreadsheet-parseexcel module reads data incorrectly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Spreadsheet-ParseExcel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 14:50 EDT by Penelope Fudd
Modified: 2010-03-21 13:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-21 13:43:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Perl program to copy one excel file to another, without formatting (1.56 KB, application/x-perl)
2009-05-06 14:50 EDT, Penelope Fudd
no flags Details
A sample file of scientific measurements. Not particularly sensitive. (207.00 KB, application/vnd.ms-excel)
2009-05-06 14:52 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2009-05-06 14:50:57 EDT
Created attachment 342701 [details]
Perl program to copy one excel file to another, without formatting

Description of problem:
I've got an excel workbook with 6 sheets, and reading from these sheets gives me the wrong data (wrong sheet).  Installing the latest version from CPAN solves the problem.

Version-Release number of selected component (if applicable):
perl-Spreadsheet-ParseExcel-0.3200-5.fc9.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Run included perl script on included data file
2.
3.
  
Actual results:
The fifth and sixth worksheets become the first and second, and the remaining worksheets are blank.

Expected results:
A direct copy, minus any formatting.

Additional info:
Version 0.49 of Spreadsheet::ParseExcel works correctly
Comment 1 Penelope Fudd 2009-05-06 14:52:51 EDT
Created attachment 342702 [details]
A sample file of scientific measurements.  Not particularly sensitive.

This workbook has 6 sheets, and loads correctly into Gnumeric and Openoffice.
Comment 2 Bug Zapper 2009-11-18 05:01:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:24:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jan Pazdziora 2009-12-26 17:01:45 EST
Fedora 11 seems to contain

perl-Spreadsheet-ParseExcel-0.4900-2.fc11

which according to comment 0 should fix the problem. In that case, this bugzilla probably should be closed with NEXTRELEASE, and not WONTFIX.
Comment 5 Vedran Miletić 2010-03-21 13:43:33 EDT
Closing per comment #4.

Note You need to log in before you can comment on or make changes to this bug.